# Uses of Class
java.rmi.server.RemoteStub

Packages that use RemoteStub
Package
Description
java.rmi.server
Provides classes and interfaces for supporting the server side of RMI.
javax.management.remote.rmi
The RMI connector is a connector for the JMX Remote API that uses RMI to transmit client requests to a remote MBean server.

## Uses of RemoteStub in java.rmi.server

Methods in java.rmi.server that return RemoteStub
Modifier and Type
Method
Description
`RemoteStub`
ServerRef.`exportObject(Remote obj, Object data)`
Deprecated.
Creates a client stub object for the supplied Remote object.
`static RemoteStub`
UnicastRemoteObject.`exportObject(Remote obj)`
Deprecated.
This method is deprecated because it supports only static stubs.
Methods in java.rmi.server with parameters of type RemoteStub
Modifier and Type
Method
Description
`protected static void`
RemoteStub.`setRef(RemoteStub stub, RemoteRef ref)`
Deprecated.
No replacement.

## Uses of RemoteStub in javax.management.remote.rmi

Subclasses of RemoteStub in javax.management.remote.rmi
Modifier and Type
Class
Description
`final class`
`RMIConnectionImpl_Stub`
RMIConnectionImpl remote stub.
`final class`
`RMIServerImpl_Stub`
RMIServerImpl remote stub.